package com.njcn.pojo.excelBody;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;

import javax.persistence.Column;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author hongawen
 * @Date: 2018/11/13 10:16
 */
public class RelevanceExcelBody  extends BaseRowModel implements Serializable {

    @Column(name="TimeId")
    @ExcelProperty(value = "算法时间" ,index = 0)
    private String timeId;

    @Column(name="Describe")
    @ExcelProperty(value = "描述" ,index = 1)
    private String describe;

    @Column(name="State")
    @ExcelProperty(value = "状态" ,index = 2)
    private BigDecimal state;

    @Column(name="User_index")
    @ExcelProperty(value = "用户索引" ,index = 3)
    private String userIndex;

    @Column(name="UpdateTime")
    @ExcelProperty(value = "更新时间" ,index = 4)
    private String updateTime;

    public String getTimeId() {
        return timeId;
    }

    public void setTimeId(String timeId) {
        this.timeId = timeId;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }

    public BigDecimal getState() {
        return state;
    }

    public void setState(BigDecimal state) {
        this.state = state;
    }

    public String getUserIndex() {
        return userIndex;
    }

    public void setUserIndex(String userIndex) {
        this.userIndex = userIndex;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "RelevanceExcelBody{" +
                "timeId='" + timeId + '\'' +
                ", describe='" + describe + '\'' +
                ", state=" + state +
                ", userIndex='" + userIndex + '\'' +
                ", updateTime='" + updateTime + '\'' +
                '}';
    }
}
